require "sliders/k_slider"
require "bumpers/bumper"
require "sound"
require "buttons/k_but_up"
require "buttons/k_but_down"

function love.load()
    
    k_slider.speed = 150
    love.graphics.setBackgroundColor(35, 100, 103)
    
    bumper.load()
    k_slider.load()
    k_but_up.load()
    k_but_down.load()
    sound.load()
 
end
        


function love.update(dt)
	UPDATE_KSLIDER(dt)
        sound.play()
        
        
            
        function love.mousepressed(x, y, button)
            if button == "l" and x > bumper.x and x < bumper.x + bumper.width and y > 50 and y < 350 then
                bumper.y = y
            elseif
                button == "l" and x > k_but_up.x and x < k_but_up.x + k_but_up.width and y > k_but_up.y and y < k_but_up.y + k_but_up.height then
                k_slider.speed = k_slider.speed +1000*dt
            elseif
                button == "l" and x > k_but_down.x and x < k_but_down.x + k_but_down.width and y > k_but_down.y and y < k_but_down.y + k_but_down.height then
                k_slider.speed = k_slider.speed -1000*dt
            end
           
        end
        
        
end

function love.draw()
    
    DRAW_Bumper()
    DRAW_KSLIDER()
    DRAW_K_BUT_UP()
    DRAW_K_BUT_DOWN()
    
end

